Retrieve Submission History
Fetches the history of all payroll submissions. This endpoint allows users to track the status of their uploads and retrieve pre-signed URLs for previously submitted files.
Filtering:
- Use
StartDateandEndDateto narrow down the history. - Use
Statusto find files that failed processing.
Query Parameters
- Type: stringStatus
Pattern: ^-?(?:0|[1-9]\d*)$Format: int32Filter by status: 1 (Pending), 2 (Processed), 3 (Failed).
- Type: stringFormat: date-timeStart
Date Filter submissions created from this date (ISO 8601).
- Type: stringFormat: date-timeEnd
Date Filter submissions created up to this date (ISO 8601).
Headers
- Type: stringAuthorizationrequired
Authentication JWT used to validate your session. Format: Bearer {token}
Responses
Request Example for get/api/v1/payroll-submissions
curl 'https://sandbox.bmgmoney.com/law/api/v1/payroll-submissions?Status=2&StartDate=2024-01-01T00%3A00%3A00Z&EndDate=2024-12-31T23%3A59%3A59Z' \
--header 'Authorization: Bearer AAAAAAAAAAAAAAAAAAAAAMLheAAAAAAA0%2BuSeid%2BULvsea4JtiGRiSDSJSI%3DEUifiRBkKG5E2XzMDjRfl76ZC9Ub0wnz4XsNiRVBChTYbJcE3F'
[
{
"status": "Completed",
"errorDescription": "Column 'SSN' is required.",
"url": "https://storage.googleapis.com/download-token-path",
"expiration": "2026-01-22T12:00:00Z",
"type": "Census",
"fileName": "census_january_2026.csv",
"checksum": "79054025255fb1a26e4bc422aef54eb4",
"referenceDate": "2026-01-01T00:00:00Z",
"createdAt": "2026-01-22T10:05:00Z",
"updatedAt": "2026-01-22T10:08:00Z"
}
]